librevenge::Header Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
librevenge::Header Class Reference

## Public Member Functions
| Header ()
void | compute_block_size ()
bool | valid_signature () const
bool | valid (unsigned long fileSize)
void | load (const unsigned char *buffer, unsigned long size)
void | save (unsigned char *buffer)

## Public Attributes
unsigned char | m_magic [8]
unsigned | m_revision
unsigned | m_num_bat
unsigned | m_start_dirent
unsigned | m_threshold
unsigned | m_start_sbat
unsigned | m_num_sbat
unsigned | m_shift_sbat
unsigned | m_size_sbat
unsigned | m_shift_bbat
unsigned | m_size_bbat
unsigned | m_start_mbat
unsigned | m_num_mbat
unsigned long | m_blocks_bbat [109]

## Static Protected Attributes
static const unsigned char | s_ole_magic []

## Constructor & Destructor Documentation

librevenge::Header::Header | ( |  | ) |

## Member Function Documentation

void librevenge::Header::compute_block_size | ( |  | ) |
| inline

Referenced by Header(), and librevenge::IStorage::load().

void librevenge::Header::load | ( | const unsigned char * | buffer,
|  | unsigned long | size
| ) |  |

Referenced by librevenge::IStorage::entry(), librevenge::DirTree::getSubStreamList(), librevenge::IStorage::getSubStreamList(), librevenge::IStorage::index(), librevenge::IStorage::load(), librevenge::DirEntry::setName(), and valid_signature().

void librevenge::Header::save | ( | unsigned char * | buffer | ) |

Referenced by librevenge::DirTree::save(), librevenge::DirEntry::setName(), librevenge::OStorage::updateToSave(), and valid_signature().

bool librevenge::Header::valid | ( | unsigned long | fileSize | ) |

Referenced by librevenge::IStorage::load(), and valid_signature().

bool librevenge::Header::valid_signature | ( |  | ) | const
| inline

Referenced by librevenge::IStorage::load().

## Member Data Documentation

unsigned long librevenge::Header::m_blocks_bbat[109]

Referenced by Header(), load(), librevenge::IStorage::load(), save(), and librevenge::OStorage::updateToSave().

unsigned char librevenge::Header::m_magic[8]

Referenced by Header(), and load().

unsigned librevenge::Header::m_num_bat

Referenced by load(), librevenge::IStorage::load(), save(), librevenge::OStorage::updateToSave(), and valid().

unsigned librevenge::Header::m_num_mbat

Referenced by load(), librevenge::IStorage::load(), save(), librevenge::OStorage::updateToSave(), and valid().

unsigned librevenge::Header::m_num_sbat

Referenced by load(), librevenge::OStorage::newSBlock(), save(), and librevenge::OStorage::updateToSave().

unsigned librevenge::Header::m_revision

Referenced by load(), librevenge::IStorage::revision(), and save().

unsigned librevenge::Header::m_shift_bbat

Referenced by compute_block_size(), load(), save(), and valid().

unsigned librevenge::Header::m_shift_sbat

Referenced by compute_block_size(), load(), save(), and valid().

unsigned librevenge::Header::m_size_bbat

Referenced by librevenge::IStorage::IStorage(), librevenge::IStorage::load(), and valid().

unsigned librevenge::Header::m_size_sbat

Referenced by librevenge::IStorage::IStorage(), and librevenge::IStorage::load().

unsigned librevenge::Header::m_start_dirent

Referenced by load(), librevenge::IStorage::load(), save(), and librevenge::OStorage::updateToSave().

unsigned librevenge::Header::m_start_mbat

Referenced by load(), librevenge::IStorage::load(), save(), and librevenge::OStorage::updateToSave().

unsigned librevenge::Header::m_start_sbat

Referenced by load(), librevenge::IStorage::load(), save(), and librevenge::OStorage::updateToSave().

unsigned librevenge::Header::m_threshold

Referenced by load(), librevenge::IStorage::load(), save(), librevenge::IStorage::use_big_block_for(), and valid().

const unsigned char librevenge::Header::s_ole_magic
| staticprotected

Initial value:
=
{ 0xd0, 0xcf, 0x11, 0xe0, 0xa1, 0xb1, 0x1a, 0xe1 }

Referenced by Header(), save(), and valid_signature().

The documentation for this class was generated from the following file:

- RVNGOLEStream.cpp